database_api.list_decline_voting_rights_requests
since HF14
Purpose
Restituisce un elenco di richieste di rinuncia ai diritti di voto (decline voting rights). Parametri: start:object; limit:int; order:string
startdipende daorder(vedere sotto)limitè fino a 1000.orderpuò essere uno tra:by_account- ordina per accountstartè una stringa:account
by_effective_date- ordina per data effettivastartè un array di due valori:timestamp,account
| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | Interroga le prime 10 richieste, ordina per account | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | Interroga le prime 10 richieste, ordina per data effettiva |
Vedere anche: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_decline_voting_rights_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_decline_voting_rights_requests",
"params": {
"start": [
"1970-01-01T00:00:00",
"",
""
],
"limit": 10,
"order": "by_effective_date"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}